Skip to main content
GET
/
v1
/
podcasts
/
{id}
/
advertising
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/{id}/advertising"
{
  "avg_ads_per_episode": 123,
  "episodes_with_ads": 123,
  "podcast_id": "<string>",
  "read_type_breakdown": {
    "host_read": 123,
    "pre_recorded": 123
  },
  "top_sponsors": [
    {
      "ad_count": 123,
      "episode_count": 123,
      "sponsor_name": "<string>",
      "company_id": "<string>"
    }
  ],
  "total_ads": 123,
  "unique_sponsors": 123,
  "podcast_slug": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Podcast slug (e.g., 'all-in'), internal ID, or numeric iTunes ID

Response

OK

avg_ads_per_episode
number<double>
required

Average ads per episode

episodes_with_ads
integer<int64>
required

Number of episodes containing ads

podcast_id
string
required

Podcast identifier

read_type_breakdown
object
required

Distribution of ad read types

top_sponsors
object[] | null
required

Most frequent sponsors

total_ads
integer<int64>
required

Total number of ads detected

unique_sponsors
integer<int64>
required

Number of distinct sponsors

podcast_slug
string

Human-readable slug (when available)